package com.yingji.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * @author wu
 * @since 2024/6/4 下午4:26
 */
@Data
@ApiModel("实体类")
@TableName(value = "Fire")
public class Fire implements Serializable {

    private static final long serialVersionUID = 9084065880894382754L;

    /**
     * 主键id
     */
    private String id;

    /**
     * 行政区划
     */
    private String xzqh;

    /**
     * 案件编号
     */
    private String ajbh;

    /**
     * 案件描述
     */
    private String ajms;

    /**
     * 归队时间
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime gdsj;

    private String jjyxm;

    /**
     * 时间戳
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime sjc;

    /**
     * 纬度
     */
    private String wd;

    /**
     * 经度
     */
    private String jd;

    /**
     * 备注信息
     */
    private String bcxx;

    /**
     * 结束时间
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime jssj;

    /**
     * 案发地址
     */
    private String afdz;

    /**
     * 出动时间
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime cdsj;

    /**
     * 立案方式代码
     */
    private String lafsdm;

    /**
     * topic
     */
    private String topic;

    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime xdsj;

    /**
     * 立案时间
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime lasj;

    /**
     * 行政区划名称
     */
    private String xzqhmc;

    /**
     * 到达现场时间
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime ddxcsj;

    /**
     * 创建时间
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createTime;

    /**
     * 120的event_id
     */
    @ApiModelProperty(value = "120的event_id")
    @TableField(value = "ai_120_id")
    private String ai120Id;

    /**
     * 120的紧急系数
     */
    @ApiModelProperty(value = "120的紧急系数")
    @TableField(value = "ai_120_num")
    private Double ai120Num;

    /**
     * 110的event_id
     */
    @ApiModelProperty(value = "110的event_id")
    @TableField(value = "ai_110_id")
    private String ai110Id;

    /**
     * 110的紧急系数
     */
    @ApiModelProperty(value = "110的紧急系数")
    @TableField(value = "ai_110_num")
    private Double ai110Num;
}
