package com.yingji.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.yingji.entity.Fire;

import java.time.LocalDateTime;
import java.util.List;

/**
 * 119表服务接口
 *
 * @author wu
 * @since 2024-05-06 09:15:01
 */
public interface FireService extends IService<Fire> {


    /**
     * 查询数据
     *
     * @param token token
     * @return 数据List
     */
    List<Fire> findDataList(String token);

    /**
     * 获取110token
     *
     * @return token
     */
    String getToken();


    /**
     * 批量插入数据
     *
     * @param list 数据
     */
    void saveAll(List<Fire> list);

    /**
     * 获取最新一条数据的时间
     *
     * @return 最新一条数据的时间
     */
    LocalDateTime findNewTime();
}

